<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../inc/fic_age.inc.php");
Archivelog(@$_SESSION["code_log"]);

$pbm_cli=FALSE;

if (@$_SESSION["niv_log"] <3)
	$pbm_cli=TRUE;

if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
{
	$row = lit_enr_age(@$_SESSION["code_age"],TRUE);
	if (is_array($row))
		extract ($row);
	else
		$pbm_cli=TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Impression Liste Clients</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

</head>

<body onLoad="warnimplst();">

<?php
if ($pbm_cli==FALSE)
{
	entimplst("LISTE DES CLIENTS");

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlstcli(@$_SESSION["niv_log"],@$_SESSION["code_age"]);
	$rech .= crestr_triord($cli_titre_col,"cli_code",FALSE,$limit);

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
			
	// *** Affichage de la table
     echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titimplst($cli_titre_col);	
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		$afficheok = TRUE;
	        
 		// Si agence ou technicien, vérifie que le département du client est dans la zone de chalandise de l'agence
 		if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
			$afficheok=client_age_ok($row["cli_code"],@$_SESSION["code_age"],FALSE);

		if ($afficheok == TRUE)
		{
			echo "<tr>";
			echo "<td>".$row["cli_code"]."</td>\n";
			echo "<td>";
			if ($row["cli_ste"] <> "")
				echo $row["cli_ste"];
			else
				echo "&nbsp;";
			echo "</td>\n";
			echo "<td>";
			echo $row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
			echo "</td>\n";
			echo "<td>".$row["cli_telf"]."</td>\n";
			if ($row["cli_telp"] <> "")
			{
			 echo "<td>".$row["cli_telp"]."</td>\n";
			}
			else
			{
			 echo "<td align=\"center\">-</td>\n";
			}
			 echo "<td>".$row["cli_email"]."</td>\n";
			
			 echo "</tr>\n";
		}
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
}
else
{
?>
	<script type="text/javascript">
	<!--
	window.close();
	//-->
	</script>
<?PHP
}
?>
</body>
</html>